function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function tiktak()
     playeffect("tiktak");
return;end;
function gameinput (sender,obj_id,attachedID)

  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
  if sender==12 then
  if SLevel==1.0 then return;end;
      if obj_id==108 then
          AddElement("gr",obj_id);
      SetAlfaSheet(2.5)
      setcolor(obj_id,0,0,0,0.5,1);
      MoveObjectToTree(obj_id);  
      flags.photo=true;
  return;end;  
  if obj_id==110 then
      AddElement("gr",obj_id);
      SetAlfaSheet(2.5)
      setcolor(obj_id,0,0,0,0.5,1);
      MoveObjectToTree(obj_id); 
  return;end;
  if obj_id==109 then
    AddElement("gr",109);
    setcolor(109,0,0,0,0.5,1);
    MoveObjectToTree(109); 
    flags.card=true;
      savegame(SaveLevel());
  end;
    if flags.loc2 then
      if flags.loc1 and flags.loc2 and flags.loc3 and flags.closeletter then
      flags.loc2= false;
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
      return; end;  
      CreateWindow(150,250,"199",nil,nil,250,30);
       --playeffect("01");
    return;end;  

  return;end;
  if sender==35 then
    if obj_id==901 then
      StartAnimation(901,0,3)
    return;end;  
  return;end;
  if sender==15 then
    if obj_id==701 then
      savegame(SaveLevel());
      flags.closeletter= true    
      if flags.loc1 and flags.loc2 and flags.loc3 and flags.minicomplete11 then
        flags.loc2= false;
        flags.levelcomplete=true;
        DarkScreen(true);
        ShowMenu(false)
      return; end;  
    return;end;  
  return;end;  
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
       AddParticleToObject(62,"Svet",200,437);
      MoveEmiter("Svet",200,437);
      if not flags.minicomplete11 then
        StartEmiter("Svet");
      end;
      AddParticleToObject(28,"cat",791,493);
      MoveEmiter("cat",791,493);
      if flags.cat then
        StartEmiter("cat");
      end;  
  
      savegame(SaveLevel());
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
       --CreateWindow(100,100,"198");             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if obj_id == 701 then
      speciale_action(2,701,true)
      playeffect("paper");
      set_visible_object(68,true)
    return; end;  
    if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          LoadNextLevel()
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);

    --    return;end;
      return;end;  
   if obj_id==28 then
       if attachedID == -1 then
       CreateWindow(150,250,"209",nil,nil,250,30);
       --playeffect("01");
       return; end;
       if attachedID == 105 then --бабочка на кота
            playeffect("mau2");
         flags.cat = false;
         StopEmiter("cat");
         Set_Cursor(28,3);
         speciale_action(2,28);
        RemoveFromMouse(attachedID);
        DeleteElement("gr",attachedID);  
        SetAlfaSheet(2.0)
      AddParticleToObject(29,"pu4ok1",787,587);
      MoveEmiter("pu4ok1",787,587);
      if not flags.minicomplete54 then
      StartEmiter("pu4ok1"); 
      end;
       return; end;
       if (attachedID ~=105) and  (attachedID > -1)  then
       RemoveFromMouse(attachedID);
      CreateWindow(150,250,"200",nil,nil,250,30);
       --playeffect("01");
       return; end;
     
   return; end;
      
  if attachedID==-1 then
    if obj_id==67 then
       setcurentleaf("barton_vhod",1,0);
         playeffect("door");  
       SwitchToSheet("re");
           savegame(SaveLevel());
    return; end;
    
    if obj_id == 68 then
    if (not flags.first1) then
        setcurentleaf("oranjereya",1,2);  
        playeffect("door");  
        SwitchToSheet("re");
        whole_darkness=false;
        DarkScreen(true);
        SetAlfa(503,0,1,1);
        speciale_action(4,503)
        flags.first1=true
        ShowMenu(false)
        return; end;
      setcurentleaf("oranjereya",1,2);
      playeffect("door");  
        savegame(SaveLevel());
    return; end;    
    
  
    
    if obj_id == 108 then
      collaps_obj(obj_id,0,0,10,0);
      playeffect("20");

    return; end;      
    
    if obj_id == 110 then
      collaps_obj(obj_id,0,0,10,0);
      playeffect("20");
 
    return; end;  

    if obj_id==62 then -- мини игра комод
      if not flags.minicomplete11 then
        playeffect("29");
        add_free_leaf("Root","mini11",0,21);-- Добавляет чистый лист
        set_satelite_leaf("barton_zal");
        DoFile(0,21)
        mini_create();
        flags.nohints=true;
      return; end;      
    return; end;
    
    if obj_id==29 then
      if not flags.minicomplete54 then -- мини игра блокнот
       if (not flags.cat) then  
  playeffect("29");       
        add_free_leaf("Root","mini54",0,64);-- Добавляет чистый лист
        set_satelite_leaf("barton_zal");
        DoFile(0,64)
        mini_create();
        flags.nohints=true;
       return; end;
       CreateWindow(150,250,"209",nil,nil,250,30);
        --playeffect("01");
        return; end;
    return; end;
      
    if obj_id > 0 and obj_id < 300 and obj_id~=3 and obj_id~=4 then --кликаем на активный объект
      playeffect("20");
      collaps_obj(obj_id,0,0,10,1);
    return 0; end
  return;end;
  
  return; end;
   if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
   
  if sender==14 then
  StopSheet=true;
  object=obj_id
    if obj_id>0 then    
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev1.1".." "..sender.."\n")
  if SLevel==1.0 then return;end;
     -- CreateWindow(150,250,"263",nil,nil,250,30);
    flags.loc2 = true;

  return; end;  
------------------------------------------------------------------------------------------------------------------  

end
function SelectRandom()
  idObject=GetRandomObject();
  -- messageboxi(idObject);
if not flags.minicomplete11 and idObject==35 then
selectrandomobject(1.5,62);
end;
if not flags.minicomplete54 and idObject==109 then
      
      if flags.cat then
        selectrandomobject(1.5,28);
      end;
        selectrandomobject(1.5,29);
end;
if flags.loc2 then
  if not flags.loc1 then
  selectrandomobject(1.5,67);
  return; end;
    if not flags.loc3 then
    selectrandomobject(1.5,68);
  return; end;
return; end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
  if idObject==35 then
      selectrandomobject(1.5,62);
  return;end;  
    if idObject==109 then
      
      if flags.cat then
        selectrandomobject(1.5,28);
      end;
        selectrandomobject(1.5,29);
    return;end;
  selectrandomobject(1.5,idObject);
end;
